Bug 19372 - Unable to compile a new kernel using; make dep bzImage
Unable to compile a new kernel using; make dep bzImage
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
4.2
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-19 05:43 EDT by sontras
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-19 05:43:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sontras 2000-10-19 05:43:41 EDT
Hi there,

how to reproduce the problem:

take a freshly installed RedHat 7.0 System
cd to /usr/src/linux,
run make menuconfig,
exit menuconfig saving .config,
make dep,
make bzImage,

and a lot of error messages will appear. As it seems it is not possible to create a new kernel without laying hands on the scripts or sources.
Any Ideas?

Thanks Gerhard

output of make bzImage follows:

----------------

[root@pool14 linux-2.2.16]# make bzImage
kgcc -D__KERNEL__ -I/usr/src/linux-2.2.16/include -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strict-aliasing -pipe -fno
-strength-reduce -m486 -malign-loops=2 -malign-jumps=2 -malign-functions=2 -DCPU=586  -c -o init/main.o init/main.c
kgcc -D__KERNEL__ -I/usr/src/linux-2.2.16/include -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strict-aliasing -pipe -fno
-strength-reduce -m486 -malign-loops=2 -malign-jumps=2 -malign-functions=2 -DCPU=586 -DUTS_MACHINE='"i386"' -c -o init/version.o ini
t/version.c
make -C  kernel
make[1]: Entering directory `/usr/src/linux-2.2.16/kernel'
make all_targets
make[2]: Entering directory `/usr/src/linux-2.2.16/kernel'
kgcc -D__KERNEL__ -I/usr/src/linux-2.2.16/include -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strict-aliasing -pipe -fno
-strength-reduce -m486 -malign-loops=2 -malign-jumps=2 -malign-functions=2 -DCPU=586   -DEXPORT_SYMTAB -c ksyms.c
In file included from /usr/src/linux-2.2.16/include/linux/modversions.h:50,
                 from /usr/src/linux-2.2.16/include/linux/module.h:19,
                 from ksyms.c:14:
/usr/src/linux-2.2.16/include/linux/modules/i386_ksyms.ver:6: warning: `cpu_data' redefined
/usr/src/linux-2.2.16/include/asm/processor.h:96: warning: this is the location of the previous definition
/usr/src/linux-2.2.16/include/linux/modules/i386_ksyms.ver:28: warning: `smp_num_cpus' redefined
/usr/src/linux-2.2.16/include/linux/smp.h:77: warning: this is the location of the previous definition
/usr/src/linux-2.2.16/include/linux/modules/i386_ksyms.ver:118: warning: `smp_call_function' redefined
/usr/src/linux-2.2.16/include/linux/smp.h:83: warning: this is the location of the previous definition
In file included from /usr/src/linux-2.2.16/include/linux/interrupt.h:51,
                 from ksyms.c:21:
/usr/src/linux-2.2.16/include/asm/hardirq.h:23: warning: `synchronize_irq' redefined
/usr/src/linux-2.2.16/include/linux/modules/i386_ksyms.ver:138: warning: this is the location of the previous definition
In file included from /usr/src/linux-2.2.16/include/linux/interrupt.h:52,
                 from ksyms.c:21:
/usr/src/linux-2.2.16/include/asm/softirq.h:75: warning: `synchronize_bh' redefined
/usr/src/linux-2.2.16/include/linux/modules/i386_ksyms.ver:142: warning: this is the location of the previous definition
/usr/src/linux-2.2.16/include/linux/kernel_stat.h: In function `kstat_irqs':
In file included from ksyms.c:17:
/usr/src/linux-2.2.16/include/linux/kernel_stat.h:47: `smp_num_cpus' undeclared (first use in this function)
/usr/src/linux-2.2.16/include/linux/kernel_stat.h:47: (Each undeclared identifier is reported only once
/usr/src/linux-2.2.16/include/linux/kernel_stat.h:47: for each function it appears in.)
make[2]: *** [ksyms.o] Error 1
make[2]: Leaving directory `/usr/src/linux-2.2.16/kernel'
make[1]: *** [first_rule] Error 2
make[1]: Leaving directory `/usr/src/linux-2.2.16/kernel'
make: *** [_dir_kernel] Error 2
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
[root@pool14 linux-2.2.16]#
Comment 1 Bill Nottingham 2000-11-04 02:44:28 EST
You need to run make mrproper first.

Note You need to log in before you can comment on or make changes to this bug.